zenilib: Zeni::Net Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | Friends | List of all members
Zeni::Net Class Reference
Zenilib

The Net Singleton. More...

`#include <Net.h>`

Inherits Zeni::Singleton< Net >.

## Public Member Functions

IPaddress | resolve_host (const String &host, const Uint16 &port=0)
| Default port 0 indicates a pure lookup with no intention of connecting. More...
String | reverse_lookup (IPaddress ip)
| If you want to find a URL associated with an IP address. More...
Public Member Functions inherited from Zeni::Singleton< Net >
void | fax_post_reinit (Event::Handler *const &handler)
void | fax_pre_uninit (Event::Handler *const &handler)
void | give_post_reinit (Event::Handler *const &handler)
void | give_pre_uninit (Event::Handler *const &handler)
void | lend_post_reinit (Event::Handler *const &handler)
void | lend_pre_uninit (Event::Handler *const &handler)

## Friends

class | Singleton< Net >

## Additional Inherited Members

Static Public Member Functions inherited from Zeni::Singleton< Net >
static void | completely_destroy ()
static void | destroy ()
static Net & | get ()
static bool | is_initialized ()
static void | remove_post_reinit (Event::Handler *const &handler)
static void | remove_pre_uninit (Event::Handler *const &handler)
Protected Member Functions inherited from Zeni::Singleton< Net >
| Singleton ()
virtual | ~Singleton ()

## Detailed Description

The Net Singleton.

The Net Singleton is responsible for setting up IP sockets.

Author
  bazald

Contact: bazal.nosp@m.d@ze.nosp@m.nipex.nosp@m..com

Definition at line 120 of file Net.h.

## Member Function Documentation

IPaddress Zeni::Net::resolve_host | ( | const String & | host,
|  | const Uint16 & | port = `0`
| ) |  |

Default port 0 indicates a pure lookup with no intention of connecting.

Definition at line 62 of file Net.cpp.

References Zeni::String::c_str(), and SDLNet_ResolveHost().

String Zeni::Net::reverse_lookup | ( | IPaddress | ip | ) |

If you want to find a URL associated with an IP address.

Definition at line 68 of file Net.cpp.

References SDLNet_ResolveIP().

## Friends And Related Function Documentation

friend class Singleton< Net >

friend

Definition at line 121 of file Net.h.

The documentation for this class was generated from the following files:

- zenilib/jni/external/zenilib/zeni_net/Zeni/Net.h
- zenilib/jni/external/zenilib/zeni_net/Net.cpp